# GIOPC.cpp File Reference

`#include "GIOPC.h"`
`#include "tao/CDR.h"`
`#include "tao/ORB_Core.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for GIOPC.cpp:

## Namespaces

namespace | TAO

## Functions

CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const GIOP::Version &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, GIOP::Version &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const GIOP::IORAddressingInfo &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, GIOP::IORAddressingInfo &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const GIOP::TargetAddress &_tao_union)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, GIOP::TargetAddress &_tao_union)

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const GIOP::TargetAddress & | _tao_union
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const GIOP::IORAddressingInfo & | _tao_aggregate
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const GIOP::Version & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | GIOP::TargetAddress & | _tao_union
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | GIOP::IORAddressingInfo & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | GIOP::Version & | _tao_aggregate
| ) |